package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFIW2 extends MwfRequest<MWFIW2, MWFIW2Response> {

    @Parameter(name = "CIF")
    MWFIW2 cif(String cif);
    @Parameter(name = "DOCUMENT_TYPE")
    MWFIW2 documentType(String documentType);
    @Parameter(name = "ICO")
    MWFIW2 ico(String ico);
    @Parameter(name = "IdDokumentu")
    MWFIW2 idDokumentu(String idDokumentu);
    @Parameter(name = "IdProduktu")
    MWFIW2 idProduktu(String idProduktu);
    @Parameter(name = "ItemTypeDokument")
    MWFIW2 itemTypeDokument(String itemTypeDokument);
    @Parameter(name = "NazevDokumentu")
    MWFIW2 nazevDokumentu(String nazevDokumentu);
    @Parameter(name = "NazevProduktu")
    MWFIW2 nazevProduktu(String nazevProduktu);
    @Parameter(name = "PRODUCT")
    MWFIW2 product(String product);
    @Parameter(name = "PRODUCT_TYPE")
    MWFIW2 productType(String productType);
    @Parameter(name = "RC")
    MWFIW2 rc(String rc);
    @Parameter(name = "TridaProduktu")
    MWFIW2 tridaProduktu(String tridaProduktu);
    @Parameter(name = "TypDokumentu")
    MWFIW2 typDokumentu(String typDokumentu);
    @Parameter(name = "VytvorElektronickyPodpis")
    MWFIW2 vytvorElektronickyPodpis(Boolean vytvorElektronickyPodpis);
    @Parameter(name = "VytvorUmisteni")
    MWFIW2 vytvorUmisteni(Boolean vytvorUmisteni);
    @Parameter(name = "ZDROJ_BIN")
    MWFIW2 zdrojBin(String zdrojBin);
    @Parameter(name = "ZDROJ_TYP")
    MWFIW2 zdrojTyp(String zdrojTyp);
}
